/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package pr2_cv9_2;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.ResultSetMetaData;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.LinkedList;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author kuchajar
 */
public class ZamestnanciService {

    private static int pocetRadku = -1;
    private static int pocetSloupcu = -1;
    private static Object[] data;
    private static String[] nazvy;


    private static void nacti(){
        try {
            String url = "jdbc:derby://localhost:1527/kuchajar2";
            Class.forName("org.apache.derby.jdbc.ClientDriver").newInstance();


            Connection conn = DriverManager.getConnection(url, "kuchajar", "kuchajar");
            
            PreparedStatement st = conn.prepareStatement("SELECT * FROM APP.ZAMESTNANCI WHERE PRIJMENI = ?");
            st.setString(1, "p2");
            ResultSet rs = st.executeQuery();

            //Statement st = conn.createStatement();
            //ResultSet rs = st.executeQuery("SELECT * FROM APP.ZAMESTNANCI");


            ResultSetMetaData m = rs.getMetaData();
            pocetSloupcu = m.getColumnCount();

            nazvy = new String[pocetSloupcu];
            for (int i = 0; i < pocetSloupcu; i++) {
                nazvy[i] = m.getColumnName(i+1);
            }

            LinkedList l = new LinkedList();
            


            while (rs.next()) {
                Object[] radek = new Object[pocetSloupcu];
                for(int i=0;i<pocetSloupcu;i++){
                    radek[i] = rs.getString(i+1);
                }
                l.add(radek);
            }

            data = l.toArray();
            pocetRadku = l.size();
            // uzavření dotazu i všech výsledků
            st.close();
            // uzavření spojení
            conn.close();
        } catch (Exception ex) {
            ex.printStackTrace();
        }

    }
    
    public static int pocetRadku(){
        if(pocetRadku == -1) {
            nacti();
        }
        return pocetRadku;
    }

    public static int pocetSloupcu(){
        if(pocetSloupcu == -1) {
            nacti();
        }
        return pocetSloupcu;
    }

    public static Object[] vratData(){
        if(data == null){
            nacti();
        }
        return data;
    }

    public static String[] vratNazvy(){
        if(nazvy == null){
            nacti();
        }
        return nazvy;
    }



}
